AutoCAD Inventor :: Two Line Intersect Point Function?
May 25, 2012Does SDK have two line Intersect Point?
View 3 RepliesDoes SDK have two line Intersect Point?
View 3 RepliesI have two line edges that cross but need a vertex at that point where they intersect. The lines are on different objects. How would I create one? I imagine this comes up quite a lot but it seems really difficult to do.
View 1 Replies View RelatedIs there any function available to find out if a point is present on a line or not?
View 8 Replies View RelatedI need to determine intersection points between Alignment and Parcels.
In .NET I haven't Parcel object and in COM IntersectWith function doesn't work.
I have a drawing which consists of lines and blocks. I need to write down the (x,y) coordinates of each point of my interest. I expect results to be copy-paste'able, text or plain text preferred.
How should I do that? I guess there is a build-in command for this, I fail to Google it though.
I find the intersected point of Line and block as this 'bref is a block referenceDim tmpLine As New Line(pt1, bref.Position)Dim ptCol As New Point3dCollectionbref.IntersectWith(tmpLine, Intersect.OnBothOperands, ptCol, 0, 0) Dim acLine As New Line(pt1,ptCol(0))But the intersected point is not located on block as picture below. I don't know what happen.
View 3 Replies View RelatedThe green line is parallel with the blue line. I want to move the green line upwards until its endpoints intersect with the two red lines.
View 9 Replies View RelatedI have an assembly with a curved line made in a sketch, and a part with a point in the bottom.
I want to constrain the point to the curved line, but the regular Constrain options wont let me do so.
I am making an animation with Inventor Studio, so I need this constrain, so I later on in studio can manipulate it and insert the first part into the other.
I must not be the only one required to produce 2d dwg's for work.
I'm using INV 2009 and our vendor swears up and down in 2012 every thing is fixed, which somehow I doubt since they failed to fix the conversion from idw to dwg in the previous 12-13 releases.
Anyways, my problem today is that the dimiension lines I spent so much time making them meet our industry and company standards in my idw are all wrong in the dwg's I saved.
(please see attached).
I am trying to create a workplane by a point and a line. I can do this maually, but have not been able to reproduce this in code.
BTW: I realize I can create a fixed workplane by using the point, the edge, and an edge perpendicular to the edge, but I cannot have this as a fixed workplane.
I'm in the process of selecting the head and shoulders of a person and got about 2/3 rds of the way around which took me a long time when somehow the end of the line I was working shot across and made connection to the beginning point which ended my selection process. Maybe I clicked too fast or something but it happened and now I'm left with part of a head and shoulders selected.
I've tried working with the plus and minus to try eliminate the line that shot across but I'm not having any luck, maybe it can't be done.
When I try to add or subtract it won't let me intersect the original selection line, I mean I can use a place on the line to anchor my starting point butwhen i come back to the original selection line at some other point, it's not showing the the little circle indicator that tells me I've completed the selection.
I have to create a hole (extrude) in a wall part in my assembly document where a stack will be installed.
To determine where, I verify if a line segment pass through the wall (XY Plane).
But I get an error with the command: IntersectWithLine
Here's my
Public Function IntersectionPoint(ByVal app As Inventor.Application,
ByVal wp As Inventor.WorkPlane) As Inventor.Point
Dim oTransGeom As Inventor.TransientGeometry = app.TransientGeometry
Dim startPoint As Inventor.Point = oTransGeom.CreatePoint(Me.StartVertex.X,
[Code] ......
I'm trying to draw a plan of my house in Autocad 2009 but I seem to be endlessly using trim and extend because I can't easily select the points that I want with osnap. Eg. imagine I have a box, and I want to start drawing another box inside it that has each side as 10 units smaller than the corresponding side on the outer box.
Step 1 - I draw a small line from the top left corner of the big box using the endpoint snap, typing in "5" for the length.
Step 2 - I then do the same at right angles to the first line to get me to the starting point of the inner box. This always leaves me with 2 small lines to remember to delete.
Step 3 - Then in order to draw the top line of the inner box I end up drawing to a random length because I can't say "draw until 5 units away from the right hand side of the big box", then I end up trimming it later once I've repeated steps 1,2 and 3 for the next side of the inner box.
I know in my example above I could have scaled the box down or something but that's not what I'm getting at. I really want a way of selecting line start and end points that are a known position away from an existing point.
I have created the model in the picture in AutoCad, but I do not know how to create it in Inventor. In Inventor I Know how to extrude and draw 2d/3d sketches, but this simple model it is impossible to me.
It is a simple 3D part, no sheet metal or pipe. It is an structure. I have copied it sliced to make more clear the geometry that I am looking for create.
I'm trying to be able to have a function run another function with the secondary function being passed as an argument to the first. I'm trying to create a recursive function and the recursive part works great. I just need to be able to have the recursive function run other functions to actually do stuff.
Here is something I found that should do what I need, mainly run a function from a function name in a variable.
Sub test() Dim ftnName As String Dim argument As String Dim result As String ftnName = "myFunction" argument = "cat" result = Application.Run(ftnName, argument) MsgBox resultEnd SubFunction myFunction(inString As String) As String myFunction = inString & " has " & Len(inString) & " letters."End Function
However I get the error "object required" on the "result = Application.Run(ftnName, argument)" line. So I'm guessing the Inventor VBA doesn't like this method of doing this. I'm just hoping there is a way to do this or this function will be useless or reduced to hardcoding functions which still defeats the purpose.
I'm looking to add a column to my point table that will subtract a fixed number from all my surface elevations. I'm working in 2011 Civil 3D. I've been researching this for the past couple of days and haven't been able to come up with anything solid yet...
View 5 Replies View RelatedUsing API is there a way to add a WorkPoint where an Axis and a Part Face Intersect?
I need this to be able to create a WorkPlane normal to the surface of the part at that location.
I have a line or a pline segment and i want to start a line from a point laying there and go perpendicular outwards. Is there a way to do it with tracking?
Yes, i saw the command draw line at an angle but i find it a little bit complicated for a simple task like that. I am sure autodesk have a simplest solution about that.
If i am already at the draw line mode and i can easy catch the tracking perpendicular to previous segment but if i want to start from another line and go perpendicular i cannot make the tracking work.
I would like to draw a Zig Zag Line, but I want that the line start in point "A" and finish in point "B".
The image below is similar to how I want the line, but I would like to have that "wavy" style. I use Illustrator CS6.
I want to align a line of length say 3m between two intersecting lines. How to do it in autocad.
View 9 Replies View RelatedI need to find a way how to insert a point or a * on the center point of a hole and put it on a different layer. The reason for this is - I am a CAD tech for a welding shop and we cut parts out of steel and we use the dxf file format for our plasma table to cut parts. For example : if i have a 1 inch thick plate and want to put a 3/4'' hole in the plate the hole will be distorted because the hole is smaller than the material thickness. For these situation we can use the plasma table to burn a point or a dot on the center point of the hole. But to do this the point or dot must be on a different layer in the dxf.
View 2 Replies View RelatedThis is, how can i determine width of a square when i click inside it. And i have attach file autocad.
But I can not apply for file autocad(I have attach) . In my file Autocad have a lot of squares( each square have number) and a lot of layer.
with screen resolution but all other adobe products i have doont have the problem that photoshop has.
View 6 Replies View RelatedIn previous versions of Photoshop, using the line tool had the advantage of being able to freely reposition the segment by pressing the SpaceBar key. This modifier function seems to be missing in CS6.
This really cripples the versatility of the tool for me. Is there a pref I've overlooked somewhere that restores this? Is this by design or is it a bug?
Any way to convert a line into a point? I have a topo drawing that appears to have the ground shots that I want to bring into Civil3D to create a surface. The problem is that the points are actually lines with the start and end at the same location.
Why they are this way I do not know, but these 'lines' are worthless to me for what I am trying to do. Any simple way to convert a line with a start and end at the same location into just a point at that same location?
When I have been drawing things I often want to start drawing from an existing line but not on an existing node/end point/mid point etc. For example I need to draw a support collumn on a wall 20' from a corner, but everytime I start it will snap to the nearest endpoint or midpoint.
A similar problem is if I am trying to draw a rectangle that is centered on the midpoint of another object. The rectangle tool will snap to the midpoint and the placement will be off by 1/2 the width of the rectangle.
This is not an osnap issue, but more of a best drawing practices question. In the past I have used DIMLIN to create a node to snap my starting point to, or drawn a new line out to the point where I want to start. I don't like doing this because then I have to erase it later(just to keep the drawing tidy).
i have 2 questions.
How i can give the line/bend funktion more points to deform it. Actually it have 4, but i need more for better deform the line/bend.
Any plugin that i can make other arrows? See the red arrows on the picture...
Uploaded with ImageShack.us
I have a line which is at (0,0) and (2,2). I need to draw a perpendicular to this line from point(1,0).
View 6 Replies View RelatedI accidentally got constraints in my present drawing and could not get rid of them. pls give me a hand on how to delete them. it is causing me a problem when for example i need to stretch a line that have a point (which makes part of the line) the point moves together with the line which means the original coordinate of the point is lost. THIS MUST NOT HAPPEN. i work with precise coordinates which means the coordinates of points should be kept as originals and NOT TO MOVE ELSEWHERE.
I notice i was using the multiple stretch with C option when I noticed the problem started and after that i had constraints sticked on all the lines.
How to get rid of constraints?
I would like to know how to make something like what I attach below.Its a circle with radius 112, touching a point on the corner, and the circle must touch some point on the line above precisely.
View 5 Replies View RelatedI'm not able to locate the function that moves the vertices of a object squarely on the zero-line.
Basically I am modeling a half a head and using symmetry mod for the other half. I just want a clean half model with all the verts line up at the mid-line.
Win7 Pro 64bit
I7 3680 6 core 12MB cache w Corsair H80 liquid cooling
ASUS P9X79
32 GB DDR3
NVidia Quadro 5000
3TB WD